# Novita AI Kling V2.1 Master Image to Video API | Generate videos from images

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-kling-v2.1-i2v-master

# Kling V2.1 Master Image to Video

POST

/

v3

/

async

/

kling-v2.1-i2v-master

Try it

Kling V2.1 Master Image to Video

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/kling-v2.1-i2v-master \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"image": "&#x3C;string>",
"prompt": "&#x3C;string>",
"duration": "&#x3C;string>",
"guidance_scale": 123,
"negative_prompt": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/async/kling-v2.1-i2v-master"payload = { "image": "&#x3C;string>", "prompt": "&#x3C;string>", "duration": "&#x3C;string>", "guidance_scale": 123, "negative_prompt": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ image: '&#x3C;string>', prompt: '&#x3C;string>', duration: '&#x3C;string>', guidance_scale: 123, negative_prompt: '&#x3C;string>' })};fetch('https://api.novita.ai/v3/async/kling-v2.1-i2v-master', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/async/kling-v2.1-i2v-master", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'image' => '&#x3C;string>', 'prompt' => '&#x3C;string>', 'duration' => '&#x3C;string>', 'guidance_scale' => 123, 'negative_prompt' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/async/kling-v2.1-i2v-master"	payload := strings.NewReader("{\n \"image\": \"&#x3C;string>\",\n \"prompt\": \"&#x3C;string>\",\n \"duration\": \"&#x3C;string>\",\n \"guidance_scale\": 123,\n \"negative_prompt\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/async/kling-v2.1-i2v-master") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"image\": \"&#x3C;string>\",\n \"prompt\": \"&#x3C;string>\",\n \"duration\": \"&#x3C;string>\",\n \"guidance_scale\": 123,\n \"negative_prompt\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/async/kling-v2.1-i2v-master")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"image\": \"&#x3C;string>\",\n \"prompt\": \"&#x3C;string>\",\n \"duration\": \"&#x3C;string>\",\n \"guidance_scale\": 123,\n \"negative_prompt\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"task_id": "&#x3C;string>"
}
```

Kling 2.1 Master: The premium endpoint for Kling 2.1, designed for top-tier image-to-video generation with unparalleled motion fluidity, cinematic visuals, exceptional prompt precision, and 1080p video quality.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-image)

image

string

required

First frame of the video; Supported image formats include `.jpg`, `.jpeg`, `.png`; The image file size cannot exceed 10MB, and the image resolution should not be less than 300*300px.

[​](#param-prompt)

prompt

string

required

Text prompt for generation; Positive text prompt; Cannot exceed 2500 characters.

[​](#param-duration)

duration

string

default:"5"

The duration of the generated media in seconds.Available options: `5`, `10`

[​](#param-guidance-scale)

guidance_scale

number

The guidance scale to use for the generation.Range: 0 to 1
Step: 0.01

[​](#param-negative-prompt)

negative_prompt

string

Negative text prompt; Cannot exceed 2500 characters.

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on August 27, 2025
